Parcourir la source

Install latest git-review from PyPI in quickstart

With the removal[*] of refs/publish in Gerrit 3.0.0, git-review
1.27.1 or later is needed to avoid attempting a push there and
ultimately failing. The git-review package in Ubuntu 18.04 LTS is
too old (1.26.0), so use latest from PyPI instead.

Adjust the quick-start document to install git-review with pip, and
on Debian/Ubuntu suggest including the python3-pip distro package
since it's split out separate from the interpreter packages.

[*] https://gerrit-review.googlesource.com/c/gerrit/+/192494

Change-Id: I247fb761667a99cf9f25478b49c5a1fe5d11a6cf
tags/3.9.0
Jeremy Stanley il y a 6 mois
Parent
révision
5bf838db68

+ 1
- 1
doc/source/admin/examples/docker-compose.yaml Voir le fichier

@@ -4,7 +4,7 @@ version: '2'

services:
gerrit:
image: gerritcodereview/gerrit:2.16.8
image: gerritcodereview/gerrit
ports:
- "8080:8080"
- "29418:29418"

+ 4
- 3
doc/source/admin/quick-start.rst Voir le fichier

@@ -33,19 +33,20 @@ Before you start, ensure that some needed packages are installed.

# Red Hat / Fedora / CentOS:

sudo yum install docker docker-compose git git-review
sudo yum install docker docker-compose git

# OpenSuse:

sudo zypper install docker docker-compose git git-review
sudo zypper install docker docker-compose git

# Ubuntu / Debian:

sudo apt-get install docker-compose git git-review
sudo apt-get install docker-compose git python3-pip

# Start and Enable the docker service on Fedora / CentOS
# Red Hat / OpenSuse:

sudo python3 -m pip install git-review
sudo systemctl enable docker.service
sudo systemctl start docker.service


+ 4
- 2
playbooks/quick-start/run.yaml Voir le fichier

@@ -7,13 +7,15 @@
use_upstream_docker: false
- use-buildset-registry
tasks:
- name: Install docker-compose and git-review
- name: Install docker-compose
package:
name:
- docker-compose
- git-review
state: present
become: true
- name: Install git-review
command: python3 -m pip install git-review
become: true
- name: Create workspace directory
file:
state: directory

Chargement…
Annuler
Enregistrer